Subject: Re: [ssm] IGMPv3/SSM API for Java ?

From: "Roberto Canonico" <[email-masked]>
Date: Mon, 2 May 2005 10:03:05 +0200

I voted too...
Java APIs are implemented as Java classes. If system calls need to be 
invoked,
such invocations are done by means of the Java Native Interface (JNI),
which is a means to implement Java methods in other languages, such as 
C/C++.
Regards,
Roberto Canonico

Univ. of Napoli Federico II - ITALY

----- Original Message ----- 
From: "Hoerdt Mickael" <[email-masked]>
To: "Stig Venaas" <[email-masked]>
Cc: "James Lingard" <[email-masked]>; "Toerless Eckert" 
<[email-masked]>; "Marshall Eubanks" <[email-masked]>; <    >
Sent: Saturday, April 30, 2005 5:09 PM
Subject: Re: [ssm] IGMPv3/SSM API for Java ?

I voted too. One may take in account that this Java API may depends on
libc implementation of RFC 3678 to run (which depends on kernel
implementation too). I'm not sure how java works, but if its the case,
only glibc starting from 2.3.4 supports it. Does anyone know how the
java APIs are implemented ? are they overlay of C/C++ ?

Hoerdt Mickaël

Stig Venaas wrote:

>On Sat, Apr 30, 2005 at 10:43:27AM -0400, Marshall Eubanks wrote:
>
>>Well, I registered and voted for it; took about 3 minutes.
>>
>
>Glad to see this coming up. I was just wondering the same myself a
>few days ago.
>
>I've written a tool called ssmping to check SSM reception from a
>host (http://www.venaas.no/multicast/ssmping/) and I was thinking
>that a Java version might be good. But then I also need a Java API,
>so I should vote as well.
>
>Stig
>
>
>>Regards
>>Marshall
>>
>>On 4/30/05, James Lingard <[email-masked]> wrote:
>>
>>>Toerless,
>>>
>>>I'm pretty sure you're right that there's no SSM API, though I can't 
>>>confirm that there's no implicit way of triggering (S,G) membership 
>>>reports.  The following RFE has been raised in Sun's Java bug database 
>>>for this issue (though you may need to register in order to view this 
>>>page):
>>>
>>>http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=4403551
>>>
>>>The standard way of encouraging Sun to get bugs fixed is for lots of 
>>>people to vote for them.  See:
>>>
>>>http://bugs.sun.com/bugdatabase/top25_bugs.do
>>>http://bugs.sun.com/bugdatabase/top25_rfes.do
>>>
>>>I think they do actually pay attention to these.  Currently this RFE has 
>>>only 2 votes (of which one is mine), but if we could encourage lots (i.e. 
>>> >100) of IETF multicast folks to vote for this bug, something might 
>>>happen :)
>>>
>>>Other than that, there is something called the Java Community Process 
>>>(see http://jcp.org/en/home/index) by which new APIs and language 
>>>features are often developed, although I'm no expert on how this works.
>>>
>>>It also seems that for the next release (J2SE 6.0), Sun are soliciting 
>>>externally contributed code (see 
>>>http://java.sun.com/developer/technicalArticles/J2SE/peabody/).  So if 
>>>there's someone out there with the time to work on this, this route may 
>>>well be the fastest.
>>>
>>>Hope that helps,
>>>James.
>>>
>>>--
>>>James Lingard
>>>Data Connection Ltd (DCL)
>>>http://www.dataconnection.com/
>>>
>>>
>>>-----Original Message-----
>>>From: [email-masked] [mailto:[email-masked]]On Behalf Of
>>>Toerless Eckert
>>>Sent: 30 April 2005 02:49
>>>To: [email-masked]
>>>Subject: [ssm] IGMPv3/SSM API for Java ?
>>>
>>>Looking at
>>>
>>>  http://java.sun.com/j2se/1.5.0/docs/api/java/net/MulticastSocket.html
>>>
>>>it looks as if Java does NOT have any SSM API, eg: nothing like
>>>JoinSourceGroup(). Can anyone more aware of Java confirm this ? Or
>>>would any Java implementation implicitly trigger at least an IGMPv3
>>>INCLUDE({S},G) membership report whenever a connected datagram socket
>>>was bound to a group (get the source address from connect(), get the
>>>group from JoinGroup() ?) ... I wouldn't think so.. ?
>>>
>>>So, assuming the Java world has ignored SSM so far, what can be done
>>>to change this ? I wouldn't even know who defines the API (within ?
>>>outside of Sun ??)
>>>
>>>Thanks
>>>    Toerless
>>>
>>>_______________________________________________
>>>ssm mailing list
>>>[email-masked]
>>>https://www1.ietf.org/mailman/listinfo/ssm
>>>
>>>
>>_______________________________________________
>>ssm mailing list
>>[email-masked]
>>https://www1.ietf.org/mailman/listinfo/ssm
>>
>
>_______________________________________________
>ssm mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ssm
>

_______________________________________________
ssm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ssm 

_______________________________________________
ssm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ssm